<template>
  <v-card>
    <v-navigation-drawer
      v-model="primaryDrawer.model"
      :temporary="primaryDrawer.type === 'temporary'"
      app
      overflow
    >

    <template v-slot:prepend>
        <v-list-item two-line>
          <v-list-item-avatar>
            <img src="https://founderscpa.com/wp-content/uploads/2016/07/no-image.gif">
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title>{{ user.title }}</v-list-item-title>
            <v-list-item-subtitle>{{ user.state }}</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </template>

      <v-divider></v-divider>
    
      <v-list>
        <v-card>
        <v-list-item
          v-for="item in items"
          :key="item.title"
          link
        >
          
          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
      
        </v-list-item>
        </v-card>
      </v-list>

      <template v-slot:append>
        <v-col cols="12">
          <v-switch
            v-model="$vuetify.theme.dark"
            primary
            label="Dark theme"
          ></v-switch>
        </v-col>
        <div class="pa-2">
          <v-btn block>Logout</v-btn>
        </div>
      </template>
      
    </v-navigation-drawer>
  </v-card>
</template>

<script>
  export default {
    data: () => ({
      drawers: ['temporary'],
      primaryDrawer: {
        model: null,
        type: 'temporary',
      },
      items: [
          { 
              title: 'Search',
              link: 'search'
          },
          { 
              title: 'Something',
              link: ''
          },
          { 
              title: 'Parameter',
              link: 'parameter'
          },
          { 
              title: 'Profil',
              link: 'profil'
          },
        ],
      user:{
        image: "https://founderscpa.com/wp-content/uploads/2016/07/no-image.gif",
        state: "Logged in",
        title: "Anno",
      },
    }),
  }
</script>